# $Revision: 1.28 $, $Date: 2004/08/04 06:23:11 $
Summary:	Batalla Naval is a networked multiplayer battleship game
Summary(pl):	Batalla Naval - sieciowa gra wojenna dla wielu graczy
Name:		gbatnav
Version:	1.0.4
Release:	5
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	9975f2d4d0c481fd97a910958007b42d
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-po.patch
URL:		http://batnav.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gnome-libs-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Batalla Naval is a networked naval battleship game.

%description -l pl
Batalla Naval to sieciowa gra wojenna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Gamesdir=%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README README.IPv6 NEWS TODO ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gbatnav.spec,v $
Revision 1.28  2004/08/04 06:23:11  ankry
- i18n fixes (-po patch), rel. 5

Revision 1.27  2004/07/14 08:04:01  ankry
- rel. 4: more fixes in -desktop patch

Revision 1.26  2004/07/04 11:17:30  havner
- applnk -> vfolders

Revision 1.25  2004/04/26 15:32:05  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.24  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.23  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.22  2003/05/25 05:47:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.20  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/08/04 23:57:45  marcus
- updated to 1.0.4.
- use new %%doc

Revision 1.18  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.17  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.16  2002/05/21 23:13:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/25 16:21:08  arturs
fixed a small typo

Revision 1.14  2002/04/25 13:06:44  marcus
- rel.3.

Revision 1.13  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/28 14:21:08  qboosh
- pl translations

Revision 1.9  2001/09/30 00:13:09  blues
- release 2
- ac2.5 ready

Revision 1.8  2001/05/06 22:11:37  kloczek
- updated to 1.0.2 and make libtool hapy.

Revision 1.7  2001/04/22 03:53:39  kloczek
- updated to 1.0.1,
- added am_fixes patch.

Revision 1.6  2001/03/03 15:37:17  kloczek
- typo.

Revision 1.5  2001/03/03 15:34:58  kloczek
- release 2,
- rebuild on new gnome-libs linked with audiofile 0.2.1,
- regenerate all am/ac files for allow build in automake > 1.4 enviroment.

Revision 1.4  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.3  2000/10/29 11:24:50  kloczek
- cosmetics.

Revision 1.2  2000/10/29 11:24:11  kloczek
- completly rewrited in PLD style.

* Fri Jun 25 1999 Gregory McLean <gregm@comstar.net>
- Initial spec file written.
